#include <iostream>
using namespace std;
int main(){
    long long br=0,l,m,n,seg=0,pluskolko;
    cin>>l>>m>>n;
    pluskolko=m;
    while(seg<=l){
        br++;
        if(l-seg<pluskolko+n){
            //br++;
            cout<<br<<endl;
            return 0;
        }
        seg+=pluskolko;
        pluskolko+=n;
    }
    //cout<<br<<endl;
    return 0;
}
